--- a
+++ b/pcre-8.12/bin/pcre-config
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+prefix=/home/Adam/insp/pcre-2
+exec_prefix=${prefix}
+exec_prefix_set=no
+
+if test yes = yes ; then
+  usage="Usage: pcre-config [--prefix] [--exec-prefix] [--version] [--libs] [--libs-posix] [--libs-cpp] [--cflags] [--cflags-posix]"
+else
+  usage="Usage: pcre-config [--prefix] [--exec-prefix] [--version] [--libs] [--libs-posix] [--cflags] [--cflags-posix]"
+fi
+
+if test $# -eq 0; then
+      echo "${usage}" 1>&2
+      exit 1
+fi
+
+libR=
+case `uname -s` in
+  *SunOS*)
+  libR=" -R${exec_prefix}/lib"
+  ;;
+  *BSD*)
+  libR=" -Wl,-R${exec_prefix}/lib"
+  ;;
+esac
+
+while test $# -gt 0; do
+  case "$1" in
+  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+  *) optarg= ;;
+  esac
+
+  case $1 in
+    --prefix=*)
+      prefix=$optarg
+      if test $exec_prefix_set = no ; then
+        exec_prefix=$optarg
+      fi
+      ;;
+    --prefix)
+      echo $prefix
+      ;;
+    --exec-prefix=*)
+      exec_prefix=$optarg
+      exec_prefix_set=yes
+      ;;
+    --exec-prefix)
+      echo $exec_prefix
+      ;;
+    --version)
+      echo 8.12
+      ;;
+    --cflags | --cflags-posix)
+      if test ${prefix}/include != /usr/include ; then
+        includes=-I${prefix}/include
+      fi
+      echo $includes -DPCRE_STATIC
+      ;;
+    --libs-posix)
+      echo -L${exec_prefix}/lib$libR -lpcreposix -lpcre
+      ;;
+    --libs)
+      echo -L${exec_prefix}/lib$libR -lpcre
+      ;;
+    --libs-cpp)
+      if test yes = yes ; then
+        echo -L${exec_prefix}/lib$libR -lpcrecpp -lpcre
+      else
+        echo "${usage}" 1>&2
+      fi
+      ;;
+    *)
+      echo "${usage}" 1>&2
+      exit 1
+      ;;
+  esac
+  shift
+done